Log Entries - libwrapper.so Scott Barbour
    Log Entries - libwrapper.so Scott Barbour
    Log Entries - libwrapper.so Scott Barbour
        Log Entries - libwrapper.so Arjan Myer
        Log Entries - libwrapper.so Arjan Myer
        Log Entries - libwrapper.so Arjan Myer
        Log Entries - libwrapper.so Arjan Myer

From: Scott Barbour
Date: 3/14/13 10:19 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

null
Top

From: Scott Barbour
Date: 3/14/13 11:34 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

I believe I have figured it out. I modified the /opt/Xeams/config/wrapper.conf and added the following into the java library path: wrapper.java.library.path.1=lib wrapper.java.library.path.2=/usr/lib/jni All seems to be working and the error is no longer occuring. Hope this helps somebody. > I am receiving the following in my logs: > > Warning - Unable to load native library 'wrapper' because the file 'libwrapper.so' could not be located in the following java.library.so': > /opt/Xeams/lib > > I am running 64bit ubuntu and have jre7 installed. The libwrapper.so file is in > /usr/lib/jni/libwrapper.so > > I have tried to provide sym links and hard links and copied the file directly into the /opt/Xeams/lib folder. > > None of these helped. > > All functions seem to be working otherwise. Any help is appreciated.
Top

From: Scott Barbour
Date: 3/14/13 11:34 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

null
Top

From: Arjan Myer
Date: 6/26/14 4:50 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

Thanks for you effort, that put me on the right track. I have some additional information regarding this problem and an easy solution that worked for me without altering the wrapper.conf file: First of all, you got to have the same version of libwrapper.so as the Wrapper otherwise the loading of the file by the Wrapper will fail. On my QNAP NAS for example the version used by Xeams is 3.0.4. You can derive the Wrapper-version that is being used by the version of Xeams you are running from the ./Xeams/logs/wrapper.log file. Now that you have checked which version is being used, you can download the correct version through the website of Tanuki Software: wrapper.tanukisoftware.com Unzip it and copy the libwrapper.so file to the ./Xeams/lib directory because the Wrapper expects the file there. Also check that the libwrapper.so file has the same rights as the other files in that directory. After that you have to restart Xeams and when you open the log again you will see that the error is gone. I hope this information will provide any missing pieces of the puzzle for others to come. > I believe I have figured it out. I modified the /opt/Xeams/config/wrapper.conf and added the following into the java library path: > > wrapper.java.library.path.1=lib > wrapper.java.library.path.2=/usr/lib/jni > > All seems to be working and the error is no longer occuring. > > Hope this helps somebody. > > > I am receiving the following in my logs: > > > > Warning - Unable to load native library 'wrapper' because the file 'libwrapper.so' could not be located in the following java.library.so': > > /opt/Xeams/lib > > > > I am running 64bit ubuntu and have jre7 installed. The libwrapper.so file is in > > /usr/lib/jni/libwrapper.so > > > > I have tried to provide sym links and hard links and copied the file directly into the /opt/Xeams/lib folder. > > > > None of these helped. > > > > All functions seem to be working otherwise. Any help is appreciated.
Top

From: Arjan Myer
Date: 6/26/14 4:50 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

null
Top

From: Arjan Myer
Date: 6/26/14 7:15 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

Thanks for you effort, that put me on the right track. I have some additional information regarding this problem and an easy solution that worked for me without altering the wrapper.conf file: First of all, you got to have the same version of libwrapper.so as the Wrapper otherwise the loading of the file by the Wrapper will fail. On my QNAP NAS for example the version used by Xeams is 3.0.4. You can derive the Wrapper-version that is being used by the version of Xeams you are running from the ./Xeams/logs/wrapper.log file. Now that you have checked which version is being used, you can download the correct version through the website of Tanuki Software: wrapper.tanukisoftware.com Unzip it and copy the libwrapper.so file to the ./Xeams/lib directory because the Wrapper expects the file there. Also check that the libwrapper.so file has the same rights as the other files in that directory. After that you have to restart Xeams and when you open the log again you will see that the error is gone. I hope this information will provide any missing pieces of the puzzle for others to come. > I believe I have figured it out. I modified the /opt/Xeams/config/wrapper.conf and added the following into the java library path: > > wrapper.java.library.path.1=lib > wrapper.java.library.path.2=/usr/lib/jni > > All seems to be working and the error is no longer occuring. > > Hope this helps somebody. > > > I am receiving the following in my logs: > > > > Warning - Unable to load native library 'wrapper' because the file 'libwrapper.so' could not be located in the following java.library.so': > > /opt/Xeams/lib > > > > I am running 64bit ubuntu and have jre7 installed. The libwrapper.so file is in > > /usr/lib/jni/libwrapper.so > > > > I have tried to provide sym links and hard links and copied the file directly into the /opt/Xeams/lib folder. > > > > None of these helped. > > > > All functions seem to be working otherwise. Any help is appreciated.
Top

From: Arjan Myer
Date: 6/26/14 7:15 PM
Topic: Log Entries - libwrapper.so
Type: General Discussions
Post a follow up

null
Top